Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLObjectElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLObjectElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLObjectElement, Node

public class JRexHTMLObjectElementImpl
extends JRexHTMLElementImpl
implements HTMLObjectElement

A class implementing org.w3c.dom.html2.HTMLObjectElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLObjectElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String` | `getArchive()` Space-separated list of archives.
`String` | `getBorder()` Width of border around the object.
`String` | `getCode()` Applet class file.
`String` | `getCodeBase()` Base URI [IETF RFC 2396] for `classid`, `data`, and `archive` attributes.
`String` | `getCodeType()` Content type for data downloaded via `classid` attribute.
`Document` | `getContentDocument()` The document this object contains, if there is any and it is available, or `null` otherwise.
`String` | `getData()` A URI [IETF RFC 2396] specifying the location of the object's data.
`boolean` | `getDeclare()` Declare (for future reference), but do not instantiate, this object.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`String` | `getHeight()` Override height.
`int` | `getHspace()` Horizontal space, in pixels, to the left and right of this image, applet, or object.
`String` | `getName()` Form control or object name when submitted with a form.
`String` | `getStandby()` Message to render while loading the object.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getType()` Content type for data downloaded via `data` attribute.
`String` | `getUseMap()` Use client-side image map.
`int` | `getVspace()` Vertical space, in pixels, above and below this image, applet, or object.
`String` | `getWidth()` Override width.
`void` | `setAlign(String align)` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`void` | `setArchive(String archive)` Space-separated list of archives.
`void` | `setBorder(String border)` Width of border around the object.
`void` | `setCode(String code)` Applet class file.
`void` | `setCodeBase(String codeBase)` Base URI [IETF RFC 2396] for `classid`, `data`, and `archive` attributes.
`void` | `setCodeType(String codeType)` Content type for data downloaded via `classid` attribute.
`void` | `setData(String data)` A URI [IETF RFC 2396] specifying the location of the object's data.
`void` | `setDeclare(boolean declare)` Declare (for future reference), but do not instantiate, this object.
`void` | `setHeight(String height)` Override height.
`void` | `setHspace(int hspace)` Horizontal space, in pixels, to the left and right of this image, applet, or object.
`void` | `setName(String name)` Form control or object name when submitted with a form.
`void` | `setStandby(String standby)` Message to render while loading the object.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setType(String type)` Content type for data downloaded via `data` attribute.
`void` | `setUseMap(String useMap)` Use client-side image map.
`void` | `setVspace(int vspace)` Vertical space, in pixels, above and below this image, applet, or object.
`void` | `setWidth(String width)` Override width.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Description copied from interface: `HTMLObjectElement`
  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

  Specified by:
    `getForm` in interface `HTMLObjectElement`

### getCode

    public String getCode()

  Description copied from interface: `HTMLObjectElement`
  Applet class file. See the `code` attribute for HTMLAppletElement.

  Specified by:
    `getCode` in interface `HTMLObjectElement`

### setCode

    public void setCode(String code)

  Description copied from interface: `HTMLObjectElement`
  Applet class file. See the `code` attribute for HTMLAppletElement.

  Specified by:
    `setCode` in interface `HTMLObjectElement`

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLObjectElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getAlign` in interface `HTMLObjectElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLObjectElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setAlign` in interface `HTMLObjectElement`

### getArchive

    public String getArchive()

  Description copied from interface: `HTMLObjectElement`
  Space-separated list of archives. See the archive attribute definition in HTML 4.01.

  Specified by:
    `getArchive` in interface `HTMLObjectElement`

### setArchive

    public void setArchive(String archive)

  Description copied from interface: `HTMLObjectElement`
  Space-separated list of archives. See the archive attribute definition in HTML 4.01.

  Specified by:
    `setArchive` in interface `HTMLObjectElement`

### getBorder

    public String getBorder()

  Description copied from interface: `HTMLObjectElement`
  Width of border around the object. See the border attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getBorder` in interface `HTMLObjectElement`

### setBorder

    public void setBorder(String border)

  Description copied from interface: `HTMLObjectElement`
  Width of border around the object. See the border attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setBorder` in interface `HTMLObjectElement`

### getCodeBase

    public String getCodeBase()

  Description copied from interface: `HTMLObjectElement`
  Base URI [IETF RFC 2396] for `classid`, `data`, and `archive` attributes. See the codebase attribute definition in HTML 4.01.

  Specified by:
    `getCodeBase` in interface `HTMLObjectElement`

### setCodeBase

    public void setCodeBase(String codeBase)

  Description copied from interface: `HTMLObjectElement`
  Base URI [IETF RFC 2396] for `classid`, `data`, and `archive` attributes. See the codebase attribute definition in HTML 4.01.

  Specified by:
    `setCodeBase` in interface `HTMLObjectElement`

### getCodeType

    public String getCodeType()

  Description copied from interface: `HTMLObjectElement`
  Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.01.

  Specified by:
    `getCodeType` in interface `HTMLObjectElement`

### setCodeType

    public void setCodeType(String codeType)

  Description copied from interface: `HTMLObjectElement`
  Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.01.

  Specified by:
    `setCodeType` in interface `HTMLObjectElement`

### getData

    public String getData()

  Description copied from interface: `HTMLObjectElement`
  A URI [IETF RFC 2396] specifying the location of the object's data. See the data attribute definition in HTML 4.01.

  Specified by:
    `getData` in interface `HTMLObjectElement`

### setData

    public void setData(String data)

  Description copied from interface: `HTMLObjectElement`
  A URI [IETF RFC 2396] specifying the location of the object's data. See the data attribute definition in HTML 4.01.

  Specified by:
    `setData` in interface `HTMLObjectElement`

### getDeclare

    public boolean getDeclare()

  Description copied from interface: `HTMLObjectElement`
  Declare (for future reference), but do not instantiate, this object. See the declare attribute definition in HTML 4.01.

  Specified by:
    `getDeclare` in interface `HTMLObjectElement`

### setDeclare

    public void setDeclare(boolean declare)

  Description copied from interface: `HTMLObjectElement`
  Declare (for future reference), but do not instantiate, this object. See the declare attribute definition in HTML 4.01.

  Specified by:
    `setDeclare` in interface `HTMLObjectElement`

### getHeight

    public String getHeight()

  Description copied from interface: `HTMLObjectElement`
  Override height. See the height attribute definition in HTML 4.01.

  Specified by:
    `getHeight` in interface `HTMLObjectElement`

### setHeight

    public void setHeight(String height)

  Description copied from interface: `HTMLObjectElement`
  Override height. See the height attribute definition in HTML 4.01.

  Specified by:
    `setHeight` in interface `HTMLObjectElement`

### getHspace

    public int getHspace()

  Description copied from interface: `HTMLObjectElement`
  Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getHspace` in interface `HTMLObjectElement`

### setHspace

    public void setHspace(int hspace)

  Description copied from interface: `HTMLObjectElement`
  Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setHspace` in interface `HTMLObjectElement`

### getName

    public String getName()

  Description copied from interface: `HTMLObjectElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLObjectElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLObjectElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLObjectElement`

### getStandby

    public String getStandby()

  Description copied from interface: `HTMLObjectElement`
  Message to render while loading the object. See the standby attribute definition in HTML 4.01.

  Specified by:
    `getStandby` in interface `HTMLObjectElement`

### setStandby

    public void setStandby(String standby)

  Description copied from interface: `HTMLObjectElement`
  Message to render while loading the object. See the standby attribute definition in HTML 4.01.

  Specified by:
    `setStandby` in interface `HTMLObjectElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLObjectElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `getTabIndex` in interface `HTMLObjectElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Description copied from interface: `HTMLObjectElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `setTabIndex` in interface `HTMLObjectElement`

### getType

    public String getType()

  Description copied from interface: `HTMLObjectElement`
  Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.01.

  Specified by:
    `getType` in interface `HTMLObjectElement`

### setType

    public void setType(String type)

  Description copied from interface: `HTMLObjectElement`
  Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.01.

  Specified by:
    `setType` in interface `HTMLObjectElement`

### getUseMap

    public String getUseMap()

  Description copied from interface: `HTMLObjectElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.01.

  Specified by:
    `getUseMap` in interface `HTMLObjectElement`

### setUseMap

    public void setUseMap(String useMap)

  Description copied from interface: `HTMLObjectElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.01.

  Specified by:
    `setUseMap` in interface `HTMLObjectElement`

### getVspace

    public int getVspace()

  Description copied from interface: `HTMLObjectElement`
  Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getVspace` in interface `HTMLObjectElement`

### setVspace

    public void setVspace(int vspace)

  Description copied from interface: `HTMLObjectElement`
  Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setVspace` in interface `HTMLObjectElement`

### getWidth

    public String getWidth()

  Description copied from interface: `HTMLObjectElement`
  Override width. See the width attribute definition in HTML 4.01.

  Specified by:
    `getWidth` in interface `HTMLObjectElement`

### setWidth

    public void setWidth(String width)

  Description copied from interface: `HTMLObjectElement`
  Override width. See the width attribute definition in HTML 4.01.

  Specified by:
    `setWidth` in interface `HTMLObjectElement`

### getContentDocument

    public Document getContentDocument()

  Description copied from interface: `HTMLObjectElement`
  The document this object contains, if there is any and it is available, or `null` otherwise.

  Specified by:
    `getContentDocument` in interface `HTMLObjectElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.